var ARRAY_AD_HREC = null;
RecAdViewLayer = cc.LayerColor.extend({
    ctor:function(){
        this._super(cc.color(0, 0, 0, 128));

        let adItem ;
        if(ARRAY_AD_HREC != null && ARRAY_AD_HREC.length>0){
           adItem = ARRAY_AD_HREC[0];
        }
        this.setContentSize(cc.winSize);

        let self = this;
        let listener = cc.EventListener.create({
            event: cc.EventListener.TOUCH_ONE_BY_ONE,
            swallowTouches: true,
            onTouchBegan: function (touch, event) {
                var target = event.getCurrentTarget();
                if (touchInTarget(target,touch)) {

                    return true;
                }
            },
            onTouchMoved: function (touch, event) {

            },
            onTouchEnded: function (touch, event) {
                self.parent.recLayer = null;
                self.removeFromParent(true);
            }
        });
        cc.eventManager.addListener(listener.clone(), this);

        let bg = new cc.Sprite("res/adView/rec/bg_rec.png");
        bg.setPosition(cc.winSize.width/2,cc.winSize.height/2);
        this.addChild(bg);

        bg.setScale(isPad()?cc.winSize.height/1001:cc.winSize.height/750);

        let listener2 = cc.EventListener.create({
            event: cc.EventListener.TOUCH_ONE_BY_ONE,
            swallowTouches: true,
            onTouchBegan: function (touch, event) {
                var target = event.getCurrentTarget();
                if (touchInTarget(target,touch)) {
                    return true;
                }
            },
            onTouchMoved: function (touch, event) {

            },
            onTouchEnded: function (touch, event) {

            }
        });
        cc.log("10004")
        cc.eventManager.addListener(listener2, bg);
        let bg_title = new cc.Sprite("res/adView/rec/bg_rec_title.png");
        bg_title.setPosition(bg.width/2,bg.height);
        bg.addChild(bg_title);
        cc.eventManager.addListener(listener2.clone(), bg_title);

        let title = new cc.LabelTTF(adItem.getName(), "Arial", 42);
        title.setPosition(bg.width/2,bg.height);
        bg.addChild(title);

        let btClose = new cc.Sprite("res/adView/rec/ic_rec_close.png");
        cc.log("10003")
        btClose.setPosition(bg.width,bg.height);
        bg.addChild(btClose);
        cc.log("10002")
        cc.eventManager.addListener(listener, btClose);
        let icon = new cc.Sprite("res/adView/rec/bg_default.png");
        icon.setPosition(bg.width/2, 335);
        bg.addChild(icon);
        cc.log("10002 " + adItem.getHrecpic());
        setWebImage(adItem.getHrecpic(),icon);
        cc.log("10002")
        let bg_install = new cc.Sprite("res/adView/rec/bg_rec_install.png");
        bg_install.setPosition(bg.width/2,95);
        bg.addChild(bg_install);
        cc.log("10002")
        let install = new cc.LabelTTF("立即安装", "Arial", 42);
        install.setPosition(bg.width/2,95);
        bg.addChild(install);
        let listener3 = cc.EventListener.create({
            event: cc.EventListener.TOUCH_ONE_BY_ONE,
            swallowTouches: true,
            onTouchBegan: function (touch, event) {
                var target = event.getCurrentTarget();
                if (touchInTarget(target,touch)) {
                    openMarket(adItem);
                    return false;
                }
            },
            onTouchMoved: function (touch, event) {

            },
            onTouchEnded: function (touch, event) {

            }
        });

        cc.eventManager.addListener(listener3, bg_install);
        cc.eventManager.addListener(listener3.clone(), icon);
        cc.log("10001")
    }
});

function getRecAdItem(){
    if (!recommandEnable()) {
        return null;
    }
    let str_ad_config =  cc.sys.localStorage.getItem(KEY_AD_LIST);
    if(str_ad_config != null){
        try {
            var parse_result = JSON.parse(str_ad_config);
            AD_ENABLE = parse_result.enable;
            HREC_AD_ENABLE = parse_result.hrecenable;
            let ad_hrec_list =  parse_result.hrecads;
            if(null != ad_hrec_list && HREC_AD_ENABLE){
                ARRAY_AD_HREC = new Array();
                parseAdList(ARRAY_AD_HREC ,ad_hrec_list);
                if(ARRAY_AD_HREC != null && ARRAY_AD_HREC.length >0){
                    return ARRAY_AD_HREC[0];
                }
            }
        }catch (e) {

        }
    }

    return null;
}



