var cur_step = 0;
var timmer = 0;
var gap = 60;
var LoadingLayer = cc.Layer.extend({
    monkey:null,
    lab_percent:null,
    percent:null,
    ctor:function () {
        //////////////////////////////
        // 1. super init first
        this._super();

        var size = cc.winSize;

        this.setAnchorPoint(cc.p(0.5, 0.5));
                                   
        this.createComponents();
                                   
        this.scheduleUpdate();

        return true;
    },
    createComponents:function(){
        var background = new cc.Sprite("res/loading/back.png");
        background.setAnchorPoint(cc.p(0, 0));
        background.x = 0;
        background.y = 0;
        this.addChild(background);
        resetScale(background);
                                   
//        this.lab_percent = new cc.LabelTTF("0%", "Arial", 45);
        this.lab_percent = new cc.LabelAtlas("0%","res/loading/number2.png", 90, 110, "%");
        this.lab_percent.scale = 0.9;
        this.lab_percent.x = cc.winSize.width / 2 - 80;
        this.lab_percent.y = 70;
        this.addChild(this.lab_percent, 5);
    },
    runHomeScene:function(){
        cc.director.runScene(new HomeScene());
    },
    update:function(){
        if(timmer <= 3 * 60){
            cc.log("timmer is " + timmer);
            this.lab_percent.setString(Math.floor(timmer * 100 / 180) + "%");
        }
        if(0 == (timmer % gap) && 4 > cur_step){
            getAnimal(cur_step);
            cur_step++;
            cc.log("cur step is " + cur_step);
            if(4 == cur_step){
                cc.director.runScene(new HomeScene());
            }
        }
        timmer++;
    }
});

var LoadingScene = cc.Scene.extend({
    ctor:function () {
        this._super();
        var layer = new LoadingLayer();
        this.addChild(layer);
    }
});

